DSA_DUP_DH(3)

NAME
DSA_dup_DH - create a DH structure out of DSA structure

SYNOPSIS
libcrypto
#include <openssl/dsa.h>
DH *
DSA_dup_DH(const DSA *r);

DESCRIPTION
DSA_dup_DH() duplicates DSA parameters/keys as DH parameters/keys.

RETURN VALUES
DSA_dup_DH() returns the new DH structure or NULL on error. The error codes can be obtained by ERR_get_error(3).

SEE ALSO
DH_new(3), DSA_get0_pqg(3), DSA_new(3)

HISTORY
DSA_dup_DH() first appeared in OpenSSL 0.9.4 and has been available since OpenBSD 2.6.

CAVEATS
Be careful to avoid small subgroup attacks when using this.